#
# spec file for package virt-viewer (Version 0.0.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           virt-viewer
Version:        0.0.3
Release:        3.6.2
Summary:        Virtual Machine Viewer
Group:          System/Monitoring
License:        GPL v2 or later
Url:            http://www.virt-manager.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        virt-viewer-0.0.3.tar.gz
Patch0:         netcat.diff
Patch1:         vnc-listen.patch
Patch2:         linux-keycombo.patch
Patch3:         windows-keycombo.patch
Patch4:         gtk-compatibility.patch
Patch5:         netware-keycombo.patch
Patch6:         netware-keycombo2.patch
BuildRequires:  gtk2-devel
BuildRequires:  libvirt-devel
BuildRequires:  libxml2-devel
BuildRequires:  gtk-vnc-devel >= 0.1.0
BuildRequires:  libdrm
#our build requirements
BuildRequires:  xen-devel
Requires:       netcat
ExclusiveArch:  %ix86 x86_64

%description
Virtual Machine Viewer provides a graphical console client for
connecting to virtual machines. It uses the GTK-VNC widget to provide
the display, and libvirt for looking up VNC server details.



Authors:
--------
    Daniel Berrange <berrange@redhat.com>

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
# Note: remote GTKVNC_CFLAGS and GTKVNC_LIBS when gtk-vnc.pc is fixed in STABLE
%configure GTKVNC_CFLAGS=-I/usr/include/gtk-vnc-1.0 GTKVNC_LIBS=-lgtk-vnc-1.0
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install  DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Mon Nov  9 2009 carnold@novell.com
- bnc#553633 - Update breaks menu access keys in virt-viewer and
  still misses some key sequences
  linux-keycombo.patch
  netware-keycombo2.patch
* Tue Jul 28 2009 carnold@novell.com
- bnc#522740 - SLES10SP3 Xen - Unable to install Netware OES2
  6.5SP8 VM
* Tue Jun 16 2009 carnold@novell.com
- bnc#448474 - Patch to enable keys that sends a NetWare server to
  the debugger.
  netware-keycombo.patch
* Tue May 26 2009 carnold@novell.com
- bnc#370336 - bad mouse synchronization when using TightVNC
  Update to newer virt-viewer so it may be used in place of
  TightVNC.  gtk-compatibility.patch
* Fri May  8 2009 carnold@novell.com
- bnc#499560 - Viirt-viewer needs ability to crash dump Windows VMs
  with Ctrl+Scroll+Scroll
  windows-keycombo.patch
* Mon Mar  9 2009 jfehlig@novell.com
- Connect viewer to vnc-listen address specified in domain
  configuration (bnc#436629)
  vnc-listen.patch
* Fri Nov  7 2008 dpmerrill@novell.com
- Fix build with spec file changes
- Changed lib from nc to netcat for ssh connections (bnc#397633)
  SWAMPID: 19355
* Sat Sep 13 2008 carnold@suse.de
- Update to version 0.0.3
- This release addresses a number of minor bugs. It will block
  accelerators when keyboard grab is active. Password characters
  are hidden in text entry field. The domain name is used in the
  title bar. The guest console can be resized using smooth
  hardware accelerated scaling. An experimental firefox plugin was
  added that can be used to access a console from a web browser.
* Tue Aug 19 2008 ro@suse.de
- add exclusivearch for x86 and x86_64 (as buildrequired libvirt)
* Sat Jan 19 2008 dpmerrill@novell.com
- Added new virt-viewer package to sle10-sp2-i386
- (FATE Feature #302140)
